View Issue Details

IDProjectCategoryView StatusLast Update
0003298SOGoWeb Mailpublic2015-09-16 08:17
ReporterHeiko Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.1 
Fixed in Version2.3.2 
Summary0003298: Using comma in display name of contact results in multiple (incomplete) recipient addresses when sending mail
Description

If the display name of a contact includes a comma "," the "To:" field of the mail sent to this contact contains two addresses. the correct mail address + something like this "john.doe@unspecified-domain"

Steps To Reproduce
  1. Click "Address Book"
  2. Click "New Card"
  3. Fill in "First:", "Last:" and then change "Display:" to something like "Doe, John"
  4. Click "Save"
  5. Mark the new contact and click "Write"
  6. Send a mail to the new contact and check your "Sent" folder
Additional Information

Other bug reports to a similar problem:

http://www.sogo.nu/bugs/view.php?id=2533

TagsNo tags attached.

Activities

ludovic

ludovic

2015-09-09 10:26

administrator   ~0008899

Can you reproduce the problem with the latest nightly build?

Heiko

Heiko

2015-09-09 11:14

reporter   ~0008900

Sorry, i dont have a test system to try this out yet. i might setup one but this will probably take some time as i'm very busy atm....

peter

peter

2015-09-16 07:59

reporter   ~0008920

Had the same problem with Version 2.3.1 from 20150723.
Tried nightly (20150916) in VM which fixed the problem.

regards
peter

Issue History

Date Modified Username Field Change
2015-07-30 04:47 Heiko New Issue
2015-09-09 10:26 ludovic Note Added: 0008899
2015-09-09 11:14 Heiko Note Added: 0008900
2015-09-16 07:59 peter Note Added: 0008920
2015-09-16 08:17 ludovic Status new => resolved
2015-09-16 08:17 ludovic Fixed in Version => 2.3.2
2015-09-16 08:17 ludovic Resolution open => fixed
2015-09-16 08:17 ludovic Assigned To => ludovic